org.apache.ignite.internal.processors.odbc

## Class ClientListenerRequestNoId

- java.lang.Object
- - org.apache.ignite.internal.processors.odbc.ClientListenerRequestNoId

All Implemented Interfaces:
  ClientListenerRequest

Direct Known Subclasses:
  JdbcRequest, OdbcRequest

    public abstract class ClientListenerRequestNoId
    extends Object
    implements ClientListenerRequest

Client request with no ID.

### Field Summary

### Fields inherited from interface org.apache.ignite.internal.processors.odbc.ClientListenerRequest

`HANDSHAKE`

### Constructor Summary

Constructors
Constructor and Description
`ClientListenerRequestNoId()`

### Method Summary

All Methods Instance Methods Concrete Methods
`long` `requestId()`

### Methods inherited from class java.lang.Object

`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

### Constructor Detail

#### ClientListenerRequestNoId

    public ClientListenerRequestNoId()

### Method Detail

#### requestId

    public long requestId()

Specified by:
  `requestId` in interface `ClientListenerRequest`
Returns:
  Request ID.

${current.year} Copyright © Apache Software Foundation

Follow @ApacheIgnite

Ignite Database and Caching Platform | : ver. 2.11.0
Release Date | : September 11 2021